﻿using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Data;
using HeuristicLab.Encodings.MoveVectorEncoding.Interfaces;
using HeuristicLab.Operators;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Encodings.MoveVectorEncoding
{
    [Item("MoveVectorOperator", "Base class for move vector operators.")]
    [StorableClass]
    public abstract class MoveVectorOperator : InstrumentedOperator, IMoveVectorOperator
    {
        [StorableConstructor]
        protected MoveVectorOperator(bool deserializing) : base(deserializing) { }
        protected MoveVectorOperator(MoveVectorOperator original, Cloner cloner) : base(original, cloner) { }
        public MoveVectorOperator() : base() { }
    }
}
